Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 02/10/2022 in all areas

  1. Another: (defun c:foo (/ n p s) (if (setq s (ssget '((0 . "LWPOLYLINE")))) (foreach e (vl-remove-if 'listp (mapcar 'cadr (ssnamex s))) (setq n 0) (while (setq p (vlax-curve-getpointatparam e n)) (entmakex (list '(0 . "POINT") (cons 10 p))) (setq n (+ n 0.5)) ) ) ) (princ) )
    2 points
  2. See this page for tips on stacking text in attributes. Apparently, you can only stack things in multiline text, which means you can't do it in fields. If you're savvy enough, there may be a way to do it with code, but I couldn't begin to tell you how.
    1 point
  3. I got a way to do it. First of all set up a UCS based on the green polyline. Then make a block of the green line in that UCS. Then change back to World UCS and insert the block. Place it and make sure the elevation is 0. Now Fillet works.
    1 point
  4. 1 point
  5. You mention CIV3D so is the text a COGO label ? That is different object to text.
    1 point
  6. non-coplanar means that the line/plines have different Z values and so a fillet would be on a odd plane as an answer, try Flatten on the 2 objects, then fillet. If that does not work you may need convert 3dpoly to 2dpoly just google for the lisp.
    1 point
  7. @Steven P When I read this it reminded me of something i came across in visual lisp. the funcion vlax-invoke with 'explode does explode the selected item into individual entity's. but it also leaves the original too. this builds off that and takes the start point and mid point of each entity. Then deletes them leaving only the original polyline and points. 2 problems arc's starting point seems to be depended of something other then the polyline direction. And if you select an open polyline the end pt isn't created. Uses thwarts point creation (defun C:Foo (/ SS) (vl-load-com) (princ "\nSelect polylines : ") (setq SS (ssget '((0 . "LWPOLYLINE")))) (foreach e (vl-remove-if 'listp (mapcar 'cadr (ssnamex SS))) (setq poly (vlax-invoke (vlax-ename->vla-object e) 'explode)) (foreach ent poly (foreach pt (list (vlax-curve-getStartPoint ent) ;Tharwat (vlax-curve-getpointatdist ent (/ (vlax-curve-getdistatpoint ent (vlax-curve-getendpoint ent)) 2.00))) (entmake (list '(0 . "POINT") (cons 10 pt))) ) ;end foreach (vla-delete ent) ) ;end foreach ) ;end foreach (princ) )
    1 point
  8. DATAEXTRACTION will do that. Should be several LISP around if you prefer that method.
    1 point
  9. With (rem) , the remainder of a division. If the remainder =0, then it's a multiple (if (= 0 (rem (getdist "\nMeasute a distance: ") 50.0)) (princ "\nIs a multiple of 50") (princ "\nIs not a multiple of 50") )
    1 point
  10. 1 point
  11. Helloooo guys cad-world. I like the lisp LAYTEXT. Is it possible to put more than one text? If a line has a distance X, 2 are inserted or more texts. Is it possible? Thank
    1 point
×
×
  • Create New...